package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预防性管理对象 t_preventivemaintenance
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public class TPreventivemaintenance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** PART */
    @Excel(name = "part")
    private String part;

    /** ITEM */
    @Excel(name = "ITEM")
    private String itemtag;

    /** 位号 */
    @Excel(name = "位号")
    private String tagno;

    /** 维护检修内容 */
    @Excel(name = "维护检修内容")
    private String maintcontents;

    /** 维护周期 */
    @Excel(name = "维护周期")
    private String maintperiod;

    /** 责任人 */
    @Excel(name = "责任人")
    private String responsibleby;

    /** 执行人 */
    @Excel(name = "执行人")
    private String executor;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmedby;

    /** 实施结果 */
    @Excel(name = "实施结果")
    private String executionresult;

    /** 数量 */
    @Excel(name = "数量")
    private String quantity;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 一月 */
    @Excel(name = "一月")
    private String jan;

    /** 二月 */
    @Excel(name = "二月")
    private String feb;

    /** 三月 */
    @Excel(name = "三月")
    private String mar;

    /** 四月 */
    @Excel(name = "四月")
    private String apr;

    /** 五月 */
    @Excel(name = "五月")
    private String may;

    /** 六月 */
    @Excel(name = "六月")
    private String jun;

    /** 七月 */
    @Excel(name = "七月")
    private String jul;

    /** 八月 */
    @Excel(name = "八月")
    private String aug;

    /** 九月 */
    @Excel(name = "九月")
    private String sep;

    /** 十月 */
    @Excel(name = "十月")
    private String oct;

    /** 十一月 */
    @Excel(name = "十一月")
    private String nov;

    /** 十二月 */
    @Excel(name = "十二月")
    private String dec;

    /** 类型 1：CBPC 2：CTAB 3：CTMB */
    @Excel(name = "类型", dictType = "PREVENTIVEMAINTENANCE_ITEM")
    private Long item;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setPart(String part)
    {
        this.part = part;
    }

    public String getPart()
    {
        return part;
    }
    public void setItemtag(String itemtag)
    {
        this.itemtag = itemtag;
    }

    public String getItemtag()
    {
        return itemtag;
    }
    public void setTagno(String tagno)
    {
        this.tagno = tagno;
    }

    public String getTagno()
    {
        return tagno;
    }
    public void setMaintcontents(String maintcontents)
    {
        this.maintcontents = maintcontents;
    }

    public String getMaintcontents()
    {
        return maintcontents;
    }
    public void setMaintperiod(String maintperiod)
    {
        this.maintperiod = maintperiod;
    }

    public String getMaintperiod()
    {
        return maintperiod;
    }
    public void setResponsibleby(String responsibleby)
    {
        this.responsibleby = responsibleby;
    }

    public String getResponsibleby()
    {
        return responsibleby;
    }
    public void setExecutor(String executor)
    {
        this.executor = executor;
    }

    public String getExecutor()
    {
        return executor;
    }
    public void setConfirmedby(String confirmedby)
    {
        this.confirmedby = confirmedby;
    }

    public String getConfirmedby()
    {
        return confirmedby;
    }
    public void setExecutionresult(String executionresult)
    {
        this.executionresult = executionresult;
    }

    public String getExecutionresult()
    {
        return executionresult;
    }
    public void setQuantity(String quantity)
    {
        this.quantity = quantity;
    }

    public String getQuantity()
    {
        return quantity;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setJan(String jan)
    {
        this.jan = jan;
    }

    public String getJan()
    {
        return jan;
    }
    public void setFeb(String feb)
    {
        this.feb = feb;
    }

    public String getFeb()
    {
        return feb;
    }
    public void setMar(String mar)
    {
        this.mar = mar;
    }

    public String getMar()
    {
        return mar;
    }
    public void setApr(String apr)
    {
        this.apr = apr;
    }

    public String getApr()
    {
        return apr;
    }
    public void setMay(String may)
    {
        this.may = may;
    }

    public String getMay()
    {
        return may;
    }
    public void setJun(String jun)
    {
        this.jun = jun;
    }

    public String getJun()
    {
        return jun;
    }
    public void setJul(String jul)
    {
        this.jul = jul;
    }

    public String getJul()
    {
        return jul;
    }
    public void setAug(String aug)
    {
        this.aug = aug;
    }

    public String getAug()
    {
        return aug;
    }
    public void setSep(String sep)
    {
        this.sep = sep;
    }

    public String getSep()
    {
        return sep;
    }
    public void setOct(String oct)
    {
        this.oct = oct;
    }

    public String getOct()
    {
        return oct;
    }
    public void setNov(String nov)
    {
        this.nov = nov;
    }

    public String getNov()
    {
        return nov;
    }
    public void setDec(String dec)
    {
        this.dec = dec;
    }

    public String getDec()
    {
        return dec;
    }
    public void setItem(Long item)
    {
        this.item = item;
    }

    public Long getItem()
    {
        return item;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("part", getPart())
            .append("itemtag", getItemtag())
            .append("tagno", getTagno())
            .append("maintcontents", getMaintcontents())
            .append("maintperiod", getMaintperiod())
            .append("responsibleby", getResponsibleby())
            .append("executor", getExecutor())
            .append("confirmedby", getConfirmedby())
            .append("executionresult", getExecutionresult())
            .append("quantity", getQuantity())
            .append("year", getYear())
            .append("jan", getJan())
            .append("feb", getFeb())
            .append("mar", getMar())
            .append("apr", getApr())
            .append("may", getMay())
            .append("jun", getJun())
            .append("jul", getJul())
            .append("aug", getAug())
            .append("sep", getSep())
            .append("oct", getOct())
            .append("nov", getNov())
            .append("dec", getDec())
            .append("item", getItem())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
